Bug 763349 - (GLUSTER-1617) Stopping volume makes nfs mountpoint hung
Stopping volume makes nfs mountpoint hung
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
All Linux
low Severity low
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-16 01:33 EDT by shishir gowda
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shishir gowda 2010-09-16 01:33:22 EDT
If we stop a volume which is running, and has a NFS mount, stopping the server leads to the mountpoint being unrecoverable.

[root@RHEL-Server ~]# umount /mnt/gluster
umount.nfs: localhost:/new: not found / mounted or server not reachable
umount.nfs: localhost:/new: not found / mounted or server not reachable

unmount with force option succeeds.
[root@RHEL-Server ~]# umount -f /mnt/gluster
Comment 1 Shehjar Tikoo 2010-10-03 23:54:42 EDT
Isnt that the expected behavior?

Note You need to log in before you can comment on or make changes to this bug.